<?xml version="1.0" encoding="utf-8"?>
<!DOCTYPE xsl:stylesheet>

<!-- sample stylesheet that generates QueryField combobox
     values for a DataMerge Interface from the values observed
     in the database itself (hopefully).

	Author: mxf 2004
-->

<xsl:stylesheet version="1.0"
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  xmlns:atiUtil="http://www.arbortext.com/mxfUtilityNamespace"
  xmlns:atidm="http://www.arbortext.com/namespace/DataMerge"
>

<xsl:output indent="yes" method="xml" encoding="UTF-8"/>

<xsl:param name="output-encoding">UTF-8</xsl:param>

<xsl:template match="/">
      <xsl:apply-templates/>
</xsl:template>

<xsl:template match="atidm:ResultSet">
  <QueryField displayType="combo" name="p01">
    <xsl:attribute name="value">
      <xsl:value-of select="atidm:Row/atidm:Column"/>
    </xsl:attribute>
    <Label>Department</Label>
		<xsl:apply-templates/>
  </QueryField>
</xsl:template>

<xsl:template match="atidm:Row">
  <!-- build item -->
  <xsl:element name="ListItem">
    <xsl:value-of select="atidm:Column[1]"/>
  </xsl:element>
</xsl:template>

<xsl:template match="atidm:RowHeader">
    <xsl:apply-templates/>
</xsl:template>

<xsl:template match="atidm:Value">
	<xsl:apply-templates/>
</xsl:template>

<xsl:template match="atidm:Header">
</xsl:template>


<!-- UTILITY TEMPLATES -->

</xsl:stylesheet>

